Subject: Error in process filter big freeze
From: Clément Miklarz <[email-masked]>
To: [email-masked]
Date: Wed, 11 Mar 2015 18:59:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I used emacs 24.4.1 (i686-pc-mingw32).

I went to Options -> Manage Emacs Packages.
Then it tries to connect to each host I specified in my .emacs.
And here are the logs :
Contacting host: elpa.gnu.org:80
Contacting host: tromey.com:80
Contacting host: marmalade-repo.org:80
Opening TLS connection to `marmalade-repo.org'...
Opening TLS connection with `gnutls-cli --insecure -p 443 marmalade-repo.org
'...failed
Opening TLS connection with `gnutls-cli --insecure -p 443 marmalade-repo.org
--protocols ssl3'...failed
Opening TLS connection with `openssl s_client -connect
marmalade-repo.org:443 -no_ssl2 -ign_eof'...failed
Opening TLS connection to `marmalade-repo.org'...failed
error in process filter: url-http: Could not create connection to
marmalade-repo.org:443
error in process filter: Could not create connection to
marmalade-repo.org:443
Failed to download `marmalade' archive.

When I get the first error, emacs freeze.
Meanwhile, there seems to be a heavy load on the CPU and the RAM for emacs
rise to 858 Mo.
If I tried again, it freezes again, the CPU is busy but the amount of RAM
does not change.

I changed a little thing in the .emacs :
(add-to-list 'package-archives '("marmalade" . "
http://marmalade-repo.org/packages/") t)
(add-to-list 'package-archives '("marmalade" . "
http://marmalade-repo.org/packages/")).
It still freezes but no big load on the CPU nor any peak of RAM.

I'll try to connect to marmalade later to see if it's related to a fault on
my side or on the host side.
But even if marmalde can't be contacted, it should not bug like this.

Regards,
Clément MIKLARZ